package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.Dwxx;
import com.ruoyi.system.service.IDwxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 单位信息Controller
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@RestController
@RequestMapping("/system/dwxx")
public class DwxxController extends BaseController
{
    @Autowired
    private IDwxxService dwxxService;

    /**
     * 查询单位信息列表
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:list')")
    @GetMapping("/list")
    public TableDataInfo list(Dwxx dwxx)
    {
//        startPage();
        List<Dwxx> list = dwxxService.selectDwxxList(dwxx);
        return getDataTable(list);
    }

    /**
     * 导出单位信息列表
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:export')")
    @Log(title = "单位信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, Dwxx dwxx)
    {
        List<Dwxx> list = dwxxService.selectDwxxList(dwxx);
        ExcelUtil<Dwxx> util = new ExcelUtil<Dwxx>(Dwxx.class);
        util.exportExcel(response, list, "单位信息数据");
    }

    /**
     * 获取单位信息详细信息
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(dwxxService.selectDwxxById(id));
    }

    /**
     * 新增单位信息
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:add')")
    @Log(title = "单位信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody Dwxx dwxx)
    {
        return toAjax(dwxxService.insertDwxx(dwxx));
    }

    /**
     * 修改单位信息
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:edit')")
    @Log(title = "单位信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody Dwxx dwxx)
    {
        return toAjax(dwxxService.updateDwxx(dwxx));
    }

    /**
     * 删除单位信息
     */
    //@PreAuthorize("@ss.hasPermi('system:dwxx:remove')")
    @Log(title = "单位信息", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(dwxxService.deleteDwxxByIds(ids));
    }
}
