package com.ruoyi.system.controller;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URLEncoder;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.mapper.HyjlMapper;
import org.apache.poi.openxml4j.util.ZipSecureFile;
import org.apache.poi.ss.usermodel.*;
import org.springframework.http.MediaType;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.Hyjl;
import com.ruoyi.system.service.IHyjlService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 会议记录Controller
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@RestController
@RequestMapping("/system/hyjl")
public class HyjlController extends BaseController
{
    @Autowired
    private IHyjlService hyjlService;

    @Autowired
    private HyjlMapper hyjlMapper;
    /**
     * 查询会议记录列表
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:list')")
    @GetMapping("/list")
    public TableDataInfo list(Hyjl hyjl)
    {
        startPage();
        List<Hyjl> list = hyjlService.selectHyjlList2(hyjl);
        return getDataTable(list);
    }

    /**
     * 导出会议记录列表
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:export')")
    @Log(title = "会议记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, Hyjl hyjl)
    {
        List<Hyjl> list = hyjlService.selectHyjlList(hyjl);
        ExcelUtil<Hyjl> util = new ExcelUtil<Hyjl>(Hyjl.class);
        util.exportExcel(response, list, "会议记录数据");
    }



    /**
     * 导出装备台账
     */
    @Log(title = "导出装备台账", businessType = BusinessType.EXPORT)
    @RequestMapping(value = "/exportJl", method = {RequestMethod.GET, RequestMethod.POST})
    public void exportJl(HttpServletResponse response,  Hyjl hyjl) throws Exception
    {
        Workbook exl = null;
        OutputStream out = null;
        InputStream in  = null;
        try {
            hyjl.setDeptLx("新春公司");
            List<Hyjl> list = hyjlService.selectHyjlList2(hyjl);
            in =this.getClass().getResourceAsStream("/static/excel/hyqdb.xlsx");
            ZipSecureFile.setMinInflateRatio(0.001);
            exl = WorkbookFactory.create(in);
            out = response.getOutputStream();
            response.reset();
            String filename = URLEncoder.encode("会议签到表.xlsx", "UTF-8");
            response.setCharacterEncoding("UTF-8");
            response.setHeader("Content-Disposition", "attachment;filename=" + filename);
            response.setContentType(MediaType.APPLICATION_OCTET_STREAM_VALUE);

            //新春公司
            Sheet sheet = exl.getSheet("新春签到表");
            CellStyle cellStyle = exl.createCellStyle();
            cellStyle.setAlignment(HorizontalAlignment.CENTER);
            cellStyle.setVerticalAlignment(VerticalAlignment.CENTER);
            cellStyle.setBorderBottom(BorderStyle.THIN); //下边框
            cellStyle.setBorderLeft(BorderStyle.THIN);//左边框
            cellStyle.setBorderTop(BorderStyle.THIN);//上边框
            cellStyle.setBorderRight(BorderStyle.THIN);//右边框
            cellStyle.setBottomBorderColor(IndexedColors.BLACK.getIndex());
            cellStyle.setLeftBorderColor(IndexedColors.BLACK.getIndex());
            cellStyle.setRightBorderColor(IndexedColors.BLACK.getIndex());
            cellStyle.setTopBorderColor(IndexedColors.BLACK.getIndex());
            Font cellFont = exl.createFont();
            cellFont.setFontHeightInPoints((short)14);    // 字体大小
            cellFont.setFontName("宋体");             // 字体应用到当前单元格上
            cellStyle.setFont(cellFont);

            cellStyle.setWrapText(true);//设置自动换行
            int lastRow = sheet.getLastRowNum()+1;
            int n=1;
            for(int i =0;i<list.size();i++){
                Hyjl item = list.get(i);
                Row rows = sheet.createRow(lastRow);
                rows.setHeight((short)500);
                //序号
                int m = 0;
                Cell cell31 = rows.createCell(m++);
                cell31.setCellStyle(cellStyle);
                cell31.setCellValue(n++);

                Cell cell3 = rows.createCell(m++);
                cell3.setCellStyle(cellStyle);
                cell3.setCellValue(item.getDwmc());

                Cell cell32 = rows.createCell(m++);
                cell32.setCellStyle(cellStyle);
                cell32.setCellValue(item.getDyryxx());

                Cell cell33 = rows.createCell(m++);
                cell33.setCellStyle(cellStyle);
                cell33.setCellValue(item.getWlmqryxx());

                Cell cell351 = rows.createCell(m++);
                cell351.setCellStyle(cellStyle);
                cell351.setCellValue(item.getKlmyryxx());

                Cell cell35 = rows.createCell(m++);
                cell35.setCellStyle(cellStyle);
                cell35.setCellValue(item.getGlqryxx());

                Cell cell36 = rows.createCell(m++);
                cell36.setCellStyle(cellStyle);
                cell36.setCellValue(item.getQjryxx());

//                Cell cell322 = rows.createCell(m++);
//                cell322.setCellStyle(cellStyle);
                lastRow++;
            }
            hyjl.setDeptLx("外协单位");
            List<Hyjl> listwx = hyjlService.selectHyjlList2(hyjl);
            Sheet sheetwx = exl.getSheet("外协单位签到表");

            int lastRowwx = sheetwx.getLastRowNum()+1;
            int nwx=1;
            for(int i =0;i<listwx.size();i++){
                Hyjl item = listwx.get(i);
                Row rows = sheetwx.createRow(lastRowwx);
                rows.setHeight((short)500);
                //序号
                int m = 0;
                Cell cell31 = rows.createCell(m++);
                cell31.setCellStyle(cellStyle);
                cell31.setCellValue(nwx++);

                Cell cell3 = rows.createCell(m++);
                cell3.setCellStyle(cellStyle);
                cell3.setCellValue(item.getDwmc());

                Cell cell32 = rows.createCell(m++);
                cell32.setCellStyle(cellStyle);
                cell32.setCellValue(item.getDyryxx());

                Cell cell33 = rows.createCell(m++);
                cell33.setCellStyle(cellStyle);
                cell33.setCellValue(item.getWlmqryxx());


                Cell cell351 = rows.createCell(m++);
                cell351.setCellStyle(cellStyle);
                cell351.setCellValue(item.getKlmyryxx());

                Cell cell35 = rows.createCell(m++);
                cell35.setCellStyle(cellStyle);
                cell35.setCellValue(item.getGlqryxx());

                Cell cell36 = rows.createCell(m++);
                cell36.setCellStyle(cellStyle);
                cell36.setCellValue(item.getQjryxx());
//                Cell cell322 = rows.createCell(m++);
//                cell322.setCellStyle(cellStyle);
                lastRowwx++;
            }

            exl.write(out);
            exl.close();
        }catch (Exception e){
            e.getMessage();
            e.printStackTrace();
            throw new Exception("导出Excel失败，请联系网站管理员！");
        }finally {
            if (exl != null) {
                try {
                    exl.close();
                } catch (IOException e1) {
                    e1.printStackTrace();
                }
            }
            if (out != null) {
                try {
                    out.close();
                } catch (IOException e1) {
                    e1.printStackTrace();
                }
            }
        }
    }
    /**
     * 获取会议记录详细信息
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(hyjlService.selectHyjlById(id));
    }

    /**
     * 新增会议记录
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:add')")
    @Log(title = "会议记录", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody Hyjl hyjl)
    {
        //计算当前时间的前两个小时

        Date nowDate = DateUtils.getNowDate();
        Calendar instance = Calendar.getInstance();
        instance.setTime(nowDate);
        instance.add(Calendar.HOUR,-2);
        String s = DateUtils.parseDateToStr("yyyy-MM-dd HH:mm:ss", instance.getTime());

        hyjl.setCjsj2(s);
        Hyjl hl=hyjlMapper.selectHyjlOne(hyjl);
        if(hl!=null){
            return AjaxResult.error("已有参会记录，不允许重复提交");
        }
        return toAjax(hyjlService.insertHyjl(hyjl));
    }

    public static void main(String[] args) {

        Date nowDate = DateUtils.getNowDate();
        Calendar instance = Calendar.getInstance();
        instance.setTime(nowDate);
        instance.add(Calendar.SECOND,-60);
        String s = DateUtils.parseDateToStr("yyyy-MM-dd HH:mm:ss", instance.getTime());
        System.out.println(s);
    }

    /**
     * 修改会议记录
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:edit')")
    @Log(title = "会议记录", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody Hyjl hyjl)
    {
        return toAjax(hyjlService.updateHyjl(hyjl));
    }

    /**
     * 删除会议记录
     */
    //@PreAuthorize("@ss.hasPermi('system:hyjl:remove')")
    @Log(title = "会议记录", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(hyjlService.deleteHyjlByIds(ids));
    }
}
