package com.ruoyi.system.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.system.domain.Dwxx;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.service.IDwxxService;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.Ryxx;
import com.ruoyi.system.service.IRyxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 人员信息Controller
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@RestController
@RequestMapping("/system/ryxx")
public class RyxxController extends BaseController
{
    @Autowired
    private IRyxxService ryxxService;
    @Autowired
    private IDwxxService dwxxService;

    @Autowired
    private SysDictDataMapper sysDictDataMapper;

    /**
     * 查询人员信息列表
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:list')")
    @GetMapping("/list")
    public TableDataInfo list(Ryxx ryxx)
    {
//        startPage();
        //查询部门类型
        List<SysDictData> deptLx = sysDictDataMapper.selectDictDataByType("dept_lx");
        List<Ryxx> list = ryxxService.selectRyxxList(ryxx);
        List<Dwxx> dwxxList = dwxxService.selectDwxxList(new Dwxx());
        List<Ryxx> relist = new ArrayList<>();
        dwxxList.forEach(item->{
            Ryxx ryxx1=new Ryxx();
            ryxx1.setId(item.getId());
            ryxx1.setText(item.getDwmc());
            ryxx1.setLx(item.getLx());
            List<Ryxx> collect = list.stream().filter(ry -> ry.getDwid().toString().equals(item.getId().toString() )).collect(Collectors.toList());
            ryxx1.setChildren(collect);
            relist.add(ryxx1);
        });
        List<Ryxx> relist2 = new ArrayList<>();
        deptLx.forEach(item->{
            Ryxx ryxx1=new Ryxx();
            ryxx1.setId(item.getDictCode());
            ryxx1.setText(item.getDictValue());
            List<Ryxx> collect = relist.stream().filter(ry->ry.getLx().equals(item.getDictValue())).collect(Collectors.toList());
            ryxx1.setChildren(collect);
            relist2.add(ryxx1);
        });

        return getDataTable(relist2);
    }

    /**
     * 导出人员信息列表
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:export')")
    @Log(title = "人员信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, Ryxx ryxx)
    {
        List<Ryxx> list = ryxxService.selectRyxxList(ryxx);
        ExcelUtil<Ryxx> util = new ExcelUtil<Ryxx>(Ryxx.class);
        util.exportExcel(response, list, "人员信息数据");
    }

    /**
     * 获取人员信息详细信息
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(ryxxService.selectRyxxById(id));
    }

    /**
     * 新增人员信息
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:add')")
    @Log(title = "人员信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody Ryxx ryxx)
    {
        return toAjax(ryxxService.insertRyxx(ryxx));
    }

    /**
     * 修改人员信息
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:edit')")
    @Log(title = "人员信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody Ryxx ryxx)
    {
        return toAjax(ryxxService.updateRyxx(ryxx));
    }

    /**
     * 删除人员信息
     */
    //@PreAuthorize("@ss.hasPermi('system:ryxx:remove')")
    @Log(title = "人员信息", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(ryxxService.deleteRyxxByIds(ids));
    }
}
