package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Dwxx;

/**
 * 单位信息Service接口
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
public interface IDwxxService 
{
    /**
     * 查询单位信息
     * 
     * @param id 单位信息主键
     * @return 单位信息
     */
    public Dwxx selectDwxxById(Long id);

    /**
     * 查询单位信息列表
     * 
     * @param dwxx 单位信息
     * @return 单位信息集合
     */
    public List<Dwxx> selectDwxxList(Dwxx dwxx);

    /**
     * 新增单位信息
     * 
     * @param dwxx 单位信息
     * @return 结果
     */
    public int insertDwxx(Dwxx dwxx);

    /**
     * 修改单位信息
     * 
     * @param dwxx 单位信息
     * @return 结果
     */
    public int updateDwxx(Dwxx dwxx);

    /**
     * 批量删除单位信息
     * 
     * @param ids 需要删除的单位信息主键集合
     * @return 结果
     */
    public int deleteDwxxByIds(Long[] ids);

    /**
     * 删除单位信息信息
     * 
     * @param id 单位信息主键
     * @return 结果
     */
    public int deleteDwxxById(Long id);
}
