package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Hydd;

/**
 * 会议地点Service接口
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
public interface IHyddService 
{
    /**
     * 查询会议地点
     * 
     * @param id 会议地点主键
     * @return 会议地点
     */
    public Hydd selectHyddById(Long id);

    /**
     * 查询会议地点列表
     * 
     * @param hydd 会议地点
     * @return 会议地点集合
     */
    public List<Hydd> selectHyddList(Hydd hydd);

    /**
     * 新增会议地点
     * 
     * @param hydd 会议地点
     * @return 结果
     */
    public int insertHydd(Hydd hydd);

    /**
     * 修改会议地点
     * 
     * @param hydd 会议地点
     * @return 结果
     */
    public int updateHydd(Hydd hydd);

    /**
     * 批量删除会议地点
     * 
     * @param ids 需要删除的会议地点主键集合
     * @return 结果
     */
    public int deleteHyddByIds(Long[] ids);

    /**
     * 删除会议地点信息
     * 
     * @param id 会议地点主键
     * @return 结果
     */
    public int deleteHyddById(Long id);
}
