package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Hyjl;

/**
 * 会议记录Service接口
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
public interface IHyjlService 
{
    /**
     * 查询会议记录
     * 
     * @param id 会议记录主键
     * @return 会议记录
     */
    public Hyjl selectHyjlById(Long id);

    /**
     * 查询会议记录列表
     * 
     * @param hyjl 会议记录
     * @return 会议记录集合
     */
    public List<Hyjl> selectHyjlList(Hyjl hyjl);

    /**
     * 新增会议记录
     * 
     * @param hyjl 会议记录
     * @return 结果
     */
    public int insertHyjl(Hyjl hyjl);

    /**
     * 修改会议记录
     * 
     * @param hyjl 会议记录
     * @return 结果
     */
    public int updateHyjl(Hyjl hyjl);

    /**
     * 批量删除会议记录
     * 
     * @param ids 需要删除的会议记录主键集合
     * @return 结果
     */
    public int deleteHyjlByIds(Long[] ids);

    /**
     * 删除会议记录信息
     * 
     * @param id 会议记录主键
     * @return 结果
     */
    public int deleteHyjlById(Long id);

    List<Hyjl> selectHyjlList2(Hyjl hyjl);


}
