package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Ryxx;

/**
 * 人员信息Service接口
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
public interface IRyxxService 
{
    /**
     * 查询人员信息
     * 
     * @param id 人员信息主键
     * @return 人员信息
     */
    public Ryxx selectRyxxById(Long id);

    /**
     * 查询人员信息列表
     * 
     * @param ryxx 人员信息
     * @return 人员信息集合
     */
    public List<Ryxx> selectRyxxList(Ryxx ryxx);

    /**
     * 新增人员信息
     * 
     * @param ryxx 人员信息
     * @return 结果
     */
    public int insertRyxx(Ryxx ryxx);

    /**
     * 修改人员信息
     * 
     * @param ryxx 人员信息
     * @return 结果
     */
    public int updateRyxx(Ryxx ryxx);

    /**
     * 批量删除人员信息
     * 
     * @param ids 需要删除的人员信息主键集合
     * @return 结果
     */
    public int deleteRyxxByIds(Long[] ids);

    /**
     * 删除人员信息信息
     * 
     * @param id 人员信息主键
     * @return 结果
     */
    public int deleteRyxxById(Long id);
}
