package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DwxxMapper;
import com.ruoyi.system.domain.Dwxx;
import com.ruoyi.system.service.IDwxxService;

/**
 * 单位信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class DwxxServiceImpl implements IDwxxService 
{
    @Autowired
    private DwxxMapper dwxxMapper;

    /**
     * 查询单位信息
     * 
     * @param id 单位信息主键
     * @return 单位信息
     */
    @Override
    public Dwxx selectDwxxById(Long id)
    {
        return dwxxMapper.selectDwxxById(id);
    }

    /**
     * 查询单位信息列表
     * 
     * @param dwxx 单位信息
     * @return 单位信息
     */
    @Override
    public List<Dwxx> selectDwxxList(Dwxx dwxx)
    {
        return dwxxMapper.selectDwxxList(dwxx);
    }

    /**
     * 新增单位信息
     * 
     * @param dwxx 单位信息
     * @return 结果
     */
    @Override
    public int insertDwxx(Dwxx dwxx)
    {
        return dwxxMapper.insertDwxx(dwxx);
    }

    /**
     * 修改单位信息
     * 
     * @param dwxx 单位信息
     * @return 结果
     */
    @Override
    public int updateDwxx(Dwxx dwxx)
    {
        return dwxxMapper.updateDwxx(dwxx);
    }

    /**
     * 批量删除单位信息
     * 
     * @param ids 需要删除的单位信息主键
     * @return 结果
     */
    @Override
    public int deleteDwxxByIds(Long[] ids)
    {
        return dwxxMapper.deleteDwxxByIds(ids);
    }

    /**
     * 删除单位信息信息
     * 
     * @param id 单位信息主键
     * @return 结果
     */
    @Override
    public int deleteDwxxById(Long id)
    {
        return dwxxMapper.deleteDwxxById(id);
    }
}
