package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HyddMapper;
import com.ruoyi.system.domain.Hydd;
import com.ruoyi.system.service.IHyddService;

/**
 * 会议地点Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class HyddServiceImpl implements IHyddService 
{
    @Autowired
    private HyddMapper hyddMapper;

    /**
     * 查询会议地点
     * 
     * @param id 会议地点主键
     * @return 会议地点
     */
    @Override
    public Hydd selectHyddById(Long id)
    {
        return hyddMapper.selectHyddById(id);
    }

    /**
     * 查询会议地点列表
     * 
     * @param hydd 会议地点
     * @return 会议地点
     */
    @Override
    public List<Hydd> selectHyddList(Hydd hydd)
    {
        return hyddMapper.selectHyddList(hydd);
    }

    /**
     * 新增会议地点
     * 
     * @param hydd 会议地点
     * @return 结果
     */
    @Override
    public int insertHydd(Hydd hydd)
    {
        return hyddMapper.insertHydd(hydd);
    }

    /**
     * 修改会议地点
     * 
     * @param hydd 会议地点
     * @return 结果
     */
    @Override
    public int updateHydd(Hydd hydd)
    {
        return hyddMapper.updateHydd(hydd);
    }

    /**
     * 批量删除会议地点
     * 
     * @param ids 需要删除的会议地点主键
     * @return 结果
     */
    @Override
    public int deleteHyddByIds(Long[] ids)
    {
        return hyddMapper.deleteHyddByIds(ids);
    }

    /**
     * 删除会议地点信息
     * 
     * @param id 会议地点主键
     * @return 结果
     */
    @Override
    public int deleteHyddById(Long id)
    {
        return hyddMapper.deleteHyddById(id);
    }
}
