package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HyjlMapper;
import com.ruoyi.system.domain.Hyjl;
import com.ruoyi.system.service.IHyjlService;

/**
 * 会议记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class HyjlServiceImpl implements IHyjlService 
{
    @Autowired
    private HyjlMapper hyjlMapper;

    /**
     * 查询会议记录
     * 
     * @param id 会议记录主键
     * @return 会议记录
     */
    @Override
    public Hyjl selectHyjlById(Long id)
    {
        return hyjlMapper.selectHyjlById(id);
    }

    /**
     * 查询会议记录列表
     * 
     * @param hyjl 会议记录
     * @return 会议记录
     */
    @Override
    public List<Hyjl> selectHyjlList(Hyjl hyjl)
    {
        return hyjlMapper.selectHyjlList(hyjl);
    }

    /**
     * 新增会议记录
     * 
     * @param hyjl 会议记录
     * @return 结果
     */
    @Override
    public int insertHyjl(Hyjl hyjl)
    {

        if(StringUtils.isNotEmpty(hyjl.getSfqj())){
            if("true".equals(hyjl.getSfqj())){
                hyjl.setSfqj("是");
            }else {
                hyjl.setSfqj("否");
            }
        }else {
            hyjl.setSfqj("否");
        }
        return hyjlMapper.insertHyjl(hyjl);
    }

    /**
     * 修改会议记录
     * 
     * @param hyjl 会议记录
     * @return 结果
     */
    @Override
    public int updateHyjl(Hyjl hyjl)
    {
        return hyjlMapper.updateHyjl(hyjl);
    }

    /**
     * 批量删除会议记录
     * 
     * @param ids 需要删除的会议记录主键
     * @return 结果
     */
    @Override
    public int deleteHyjlByIds(Long[] ids)
    {
        return hyjlMapper.deleteHyjlByIds(ids);
    }

    /**
     * 删除会议记录信息
     * 
     * @param id 会议记录主键
     * @return 结果
     */
    @Override
    public int deleteHyjlById(Long id)
    {
        return hyjlMapper.deleteHyjlById(id);
    }

    @Override
    public List<Hyjl> selectHyjlList2(Hyjl hyjl) {
        return hyjlMapper.selectHyjlList2(hyjl);
    }
}
