package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.RyxxMapper;
import com.ruoyi.system.domain.Ryxx;
import com.ruoyi.system.service.IRyxxService;

/**
 * 人员信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class RyxxServiceImpl implements IRyxxService 
{
    @Autowired
    private RyxxMapper ryxxMapper;

    /**
     * 查询人员信息
     * 
     * @param id 人员信息主键
     * @return 人员信息
     */
    @Override
    public Ryxx selectRyxxById(Long id)
    {
        return ryxxMapper.selectRyxxById(id);
    }

    /**
     * 查询人员信息列表
     * 
     * @param ryxx 人员信息
     * @return 人员信息
     */
    @Override
    public List<Ryxx> selectRyxxList(Ryxx ryxx)
    {
        return ryxxMapper.selectRyxxList(ryxx);
    }

    /**
     * 新增人员信息
     * 
     * @param ryxx 人员信息
     * @return 结果
     */
    @Override
    public int insertRyxx(Ryxx ryxx)
    {
        return ryxxMapper.insertRyxx(ryxx);
    }

    /**
     * 修改人员信息
     * 
     * @param ryxx 人员信息
     * @return 结果
     */
    @Override
    public int updateRyxx(Ryxx ryxx)
    {
        return ryxxMapper.updateRyxx(ryxx);
    }

    /**
     * 批量删除人员信息
     * 
     * @param ids 需要删除的人员信息主键
     * @return 结果
     */
    @Override
    public int deleteRyxxByIds(Long[] ids)
    {
        return ryxxMapper.deleteRyxxByIds(ids);
    }

    /**
     * 删除人员信息信息
     * 
     * @param id 人员信息主键
     * @return 结果
     */
    @Override
    public int deleteRyxxById(Long id)
    {
        return ryxxMapper.deleteRyxxById(id);
    }
}
